Package: grails.doc.gradle

## [Groovy] Class PublishPdf

- grails.doc.gradle.PublishPdf

- Gradle task for generating a gdoc-based PDF user guide. Assumes the single page HTML user guide has already been created in the default location.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `language`
    `java.io.File` | `outputDirectory`
    `java.lang.String` | `pdfName`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `publish()`

- - ### Property Detail

    - #### @Input java.lang.String language

    - #### @OutputDirectory @Input java.io.File outputDirectory

    - #### @Input java.lang.String pdfName

  - ### Method Detail

    - #### @TaskAction java.lang.Object publish()